require 'uu/os/rest/client_exception'

module UU
  module OS
    module REST

      # Exception thrown by RemoteClient in case there is some problem with main entity
      # and this problem was caused by input parameter (e.g. main entity does not exist
      # or cannot be resolved from given parameters). This exception does not cover
      # malformed UESURI of main entity parameter.
      class MainEntityException < UU::OS::REST::ClientException
      end

    end
  end
end
